Ny feature: Vælg nyeste PHP-version

PHP 7 har vist enorme hastighedsforbedringer, og understøttes efterhånden af langt de fleste CMS.

Som udgangspunkt kører alle UnoEuro-webhoteller PHP 7.0.

Grunden til vi ikke blot har opdateret alle servere til PHP 7.1 eller PHP 7.2, er at der stadig er mange CMS og eCommerce systemer som ikke virker med disse endnu.

Alligevel vil vi som altid gerne tilbyde vores kunder det nyeste af det nye, så det er nu også muligt at vælge nyeste PHP version til ens UnoEuro webhotel (pt. PHP 7.2.1). Det gøres ved at indsætte følgende i ens .htaccess fil:

AddType application/x-httpd-php-latest .php

Herefter vil ens hjemmeside altid køre nyeste stabile PHP-version, på godt og ondt.

 

Som i nok ved, tilbyder vi også mulighed for at nedgradere til PHP 5.6, som vi understøtter indtil End-of-life i December 2018.

 

3 meninger om “Ny feature: Vælg nyeste PHP-version”

  1. Hurraaaah :D

    Netop det jeg spurgte efter for nogle dage siden :D

    Rigtig rigtig fedt!

    Et tip: jeg blev ramt af denne:
    “Note: As of PHP 7.1.0, applying the empty index operator on a string throws a fatal error. Formerly, the string was silently converted to an array. “

  2. I skriver: “Som i nok ved, tilbyder vi også mulighed for at nedgradere til PHP 5.6, som vi understøtter indtil End-of-life i December 2018.”

    Vil det stadig være muligt nedgradere efter den dato?
    (På eget ansvar, forstås)

    Drupal 7 sites har det nemlig svært med højere PHP versioner, så jeg skal bare være sikker på at jeg stadig kan benytte og oprette D7 sites til den tid.

    1. Det er umiddelbart ikke planen. At køre EOL ting på vores webservere er ikke noget vi er glade for – vi har jo også et overordnet ansvar for hele serveren, ikke blot dit webhotel.

Lukket for kommentarer.